function s060720_look_at_first_av_results

  for a = 1:3


    a_dir = '/home/speech/lathoud/FEATURES/avcalib/seq11-1p-0100/OUTPUT/';
    a_name = sprintf( 'ppm_cam%d_classif2_a_alpha0.01_v_alpha0.01__s060719_onearray_onecam_bgsubgmm_last_models.mat', a );

load( fullfile( a_dir, a_name ), 'av_model' );

p = av_model.par;

        [ tmp, sort_ind ] = sort( -av_model.w ./ ( eps + sqrt( max( 0, prod( av_model.sigma, 3 ) ) ) ), 4 );

       ind1 = repmat( (1:av_model.im_size(1)).', [ 1 av_model.im_size(2) 1 p.a_K ] );
        ind2 = repmat( (1:av_model.im_size(2)),  [ av_model.im_size(1) 1 1 p.a_K ] );
        ind3 = repmat( permute( ( 1 ).', [ 3 2 1 ] ), [ av_model.im_size(1:2) 1 p.a_K ] );
ind4 = sort_ind;

w_ind = sub2ind( size( av_model.w ), ind1, ind2, ind3, ind4 );

B = sum( cumsum( cat( 4, zeros( [ av_model.im_size(1:2)  ] ), av_model.w( w_ind ) ), 4 ) < p.a_T, 4 );

B( find( all( av_model.w == 0, 4 ) ) ) = 0;

% Show

figure; imagesc( av_model.mu( :,:,1,1 ) ); colorbar; title( sprintf( 'mu1 ( cam %d )', a ) );
figure; imagesc( av_model.mu( :,:,1,2 ) ); colorbar; title( sprintf( 'mu2 ( cam %d )', a ) );
figure; imagesc( av_model.mu( :,:,1,3 ) ); colorbar; title( sprintf( 'mu3 ( cam %d )', a ) );
figure; imagesc( B ); colorbar; title( sprintf( 'B ( cam %d )', a ) );
  end
