function s060920_show_one_cc_result_color_bw

close all


load /home/speech/lathoud/FEATURES/avcalib/seq11-1p-0100/s060309_run_cc_analysis_weight-seq11-1p-0100.mat

a_sector = 18;

for a=1:3

  hfig = figure( a ); clf; him=imagesc( cc_result.list( a ).cov_mat(:,:,a_sector ) );

  %  figure; imagesc( tmp .* mask ); colorbar;
  colormap('jet' );
  cccp = colormap;
  cccp = cccp( 1 + round( (0.5:19) / 19 * ( size( cccp, 1 ) - 1 ) ), : );
  cccp(1,:)=0
  colormap( cccp );
  h = colorbar;
  set(h,'fontsize',16);
  set(gca,'fontsize',20);

  title([ 'seq11, sector #' num2str( a_sector ) ', camera #' num2str(a) ] );
  
  % Write out color .eps file
  out_filename = fullfile( 'DATA', [ mfilename sprintf( '-cam%d.matlab.eps', a ) ] );
  print( hfig, '-depsc2', out_filename );
  disp( [ mfilename ' wrote out "' out_filename '".' ] );
  
  % Convert to gray levels
  if 0
  cccp = colormap;
  n = size( cccp, 1 ) - 1;
  
  new_n = 12;
  
  cccp = [ cccp( 1,: ); 0.15 + 0.85 * repmat( (0:new_n-1).' / ( new_n-1 ), 1, 3 ) ];
 
  colormap( cccp );
else
colormap gray
end
 
  % Write out gray .eps file
  out_filename = fullfile( 'DATA', [ mfilename sprintf( '-cam%d-bw.matlab.eps', a ) ] );
  print( hfig, '-depsc2', out_filename );
  disp( [ mfilename ' wrote out "' out_filename '".' ] );

end
